- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# PlayScriptCommand Class Reference

`#include <Command.h>`

Inheritance diagram for PlayScriptCommand:

List of all members.

## Public Member Functions
| PlayScriptCommand (std::string filename)
| PlayScriptCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
std::string | _filename
## Static Private Attributes
static const std::string | _id = "playScript"

## Detailed Description

Definition at line 263 of file Command.h.

## Constructor & Destructor Documentation

PlayScriptCommand::PlayScriptCommand | ( | std::string | filename | ) |

| Definition at line 9 of file PlayScriptCommand.cpp.

PlayScriptCommand::PlayScriptCommand | ( | List * | command | ) |

| Definition at line 15 of file PlayScriptCommand.cpp. References _filename, List::firstString(), and List::rest().

## Member Function Documentation

void PlayScriptCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 21 of file PlayScriptCommand.cpp. References _filename, CommandManager::instance(), and CommandManager::startPlaying().

std::string PlayScriptCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 26 of file PlayScriptCommand.cpp. References _filename, _id, List::getString(), and List::snoc().

static std::string PlayScriptCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 271 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

std::string PlayScriptCommand::_filename`[private]`

| Definition at line 273 of file Command.h. Referenced by execute(), getString(), and PlayScriptCommand().

const std::string PlayScriptCommand::_id = "playScript"`[static, private]`

| Definition at line 274 of file Command.h. Referenced by getString(), and id().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/PlayScriptCommand.cpp